#!/usr/bin/env bash

[ -n "$1" ] && name="$1" || name=nanochan
# no checks for valid integers
#[ -n "$2" ] && days="$2" || days=365250 # 1000 years

# attempt to create a new unique folder
iter=1
while [ -d "cert-$iter" -o -f "cert-$iter" ]; do 
    ((iter++))
done
mkdir cert-$iter
cd cert-$iter

openssl req -new > cert.csr
echo ""
echo ENTER THE PASSPHRASE YOU JUST ENTERED.
echo ""
openssl rsa -in privkey.pem -out key-decrypt.pem
openssl x509 -in cert.csr -out cert.pem -req -signkey key-decrypt.pem -days 365250 #$days

cat key-decrypt.pem cert.pem > "$name.pem"
echo "the pemfile is at cert-$iter/$name.pem"

cd ..
