-- block the clearnet
if lighty.request["X-Tor2web"] or lighty.request["X-Forwarded-For"] or lighty.request["X-Real-Ip"] then
    return 418;
end

-- specfic filter for *.onion.ly, which has no tor2web headers
if lighty.request["Cookie"] and lighty.request["Cookie"]:find("PHPSESSID=") or -- if PHPSESSID is present, the request is definitely coming from the .ly proxy, but the user has already made a successful request through .ly before if this cookie exists
   (lighty.request["Accept-Encoding"] == "identity" and -- all headers described here are headers that appear in all .ly requests
   lighty.request["Content-Length"] and lighty.request["Content-Length"] == "0" and
   lighty.request["Content-Type"] and lighty.request["Content-Type"] == "application/x-www-form-urlencoded" and
--   lighty.request["Dnt"] and -- if DNT: 1 is present, it is converted into Dnt: 1
   lighty.request["Host"]) then
    return 418;
end
